#pragma once
#include "util/i_time_source.h"
#include <chrono>


namespace spin
{
    class TimeSource : public ITimeSource
    {
    public:
        inline long now_ms() const override {
            return std::chrono::duration_cast<std::chrono::milliseconds>(std::chrono::system_clock::now().time_since_epoch()).count();
        }
    };
} // namespace spin
